Package org.springframework.web.method.support

# Interface UriComponentsContributor

All Known Implementing Classes:
  `CompositeUriComponentsContributor`, `RequestParamMethodArgumentResolver`

public interface UriComponentsContributor
Strategy for contributing to the building of a `UriComponents` by looking at a method parameter and an argument value and deciding what part of the target URL should be updated.

Since:
  4.0
Author:
  Oliver Gierke, Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`void`
`contributeMethodArgument(org.springframework.core.MethodParameter parameter, Object value, UriComponentsBuilder builder, Map<String,Object> uriVariables, org.springframework.core.convert.ConversionService conversionService)`
Process the given method argument and either update the `UriComponentsBuilder` or add to the map with URI variables to use to expand the URI after all arguments are processed.
`boolean`
`supportsParameter(org.springframework.core.MethodParameter parameter)`
Whether this contributor supports the given method parameter.

## Method Details

### supportsParameter

boolean supportsParameter(org.springframework.core.MethodParameter parameter)
Whether this contributor supports the given method parameter.

### contributeMethodArgument

void contributeMethodArgument(org.springframework.core.MethodParameter parameter, Object value, UriComponentsBuilder builder, Map<String,Object> uriVariables, org.springframework.core.convert.ConversionService conversionService)
Process the given method argument and either update the `UriComponentsBuilder` or add to the map with URI variables to use to expand the URI after all arguments are processed.

Parameters:
  `parameter` - the controller method parameter (never `null`)
  `value` - the argument value (possibly `null`)
  `builder` - the builder to update (never `null`)
  `uriVariables` - a map to add URI variables to (never `null`)
  `conversionService` - a ConversionService to format values as Strings